# Get DNS metadata Retrieve DNS metadata for the specified domain, including the DNS provider and registration status. Endpoint: GET /domains/{name}/dns Version: 1.0.0 Security: bearer ## Path parameters: - `name` (string, required) ## Response 200 fields (application/json): - `@type` (string, required) Enum: "unstoppabledomains.com/partner.v3.IcannDomainDnsMetadata" - `provider` (string, required) Enum: "UD", "EXTERNAL", "NONE" - `registration` (object, required) - `registration.status` (string) Enum: "REGISTERED", "REGISTERED_EXTERNAL", "PENDING", "EXPIRED_GRACE_PERIOD", "EXPIRED_REDEMPTION_PERIOD", "EXPIRED_PENDING_DELETE", "INACTIVE" - `registration.icann` (object) - `registration.icann.registrar` (object, required) - `registration.icann.registrar.type` (string, required) Enum: "SELF", "EXTERNAL", "NONE" - `registration.icann.ownershipVerification` (string) Enum: "COMPLETED", "REVERIFICATION_REQUIRED" - `registration.expirationDate` (string) - `registration.expirationGracePeriodDate` (string) ## Response 400 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 401 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 403 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 404 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string) ## Response 500 fields (application/json): - `code` (string, required) Machine-readable error code Example: "VALIDATION" - `message` (string) Human-readable error description - `errors` (array) Individual errors when code is MULTIPLE_ERRORS - `errors.code` (string, required) - `errors.message` (string)